SUSE: 2022:3473-1 important: python310 | LinuxSecurity.com

   SUSE Security Update: Security update for python310
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3473-1
Rating:             important
References:         #1202624 #1203125 
Cross-References:   CVE-2020-10735 CVE-2021-28861
CVSS scores:
                    CVE-2020-10735 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-10735 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-28861 (NVD) : 7.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N
                    CVE-2021-28861 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Python3 15-SP4
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for python310 fixes the following issues:

   Updated to version 3.10.7:
   - CVE-2020-10735: Fixed DoS due to missing limit of amount of digits when
     converting text to int (bsc#1203125).
   - CVE-2021-28861: Fixed an open redirect in the http server when an URI
     path starts with // (bsc#1202624).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3473=1

   - SUSE Linux Enterprise Module for Python3 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Python3-15-SP4-2022-3473=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libpython3_10-1_0-3.10.7-150400.4.10.1
      libpython3_10-1_0-debuginfo-3.10.7-150400.4.10.1
      python310-3.10.7-150400.4.10.1
      python310-base-3.10.7-150400.4.10.1
      python310-base-debuginfo-3.10.7-150400.4.10.1
      python310-core-debugsource-3.10.7-150400.4.10.1
      python310-curses-3.10.7-150400.4.10.1
      python310-curses-debuginfo-3.10.7-150400.4.10.1
      python310-dbm-3.10.7-150400.4.10.1
      python310-dbm-debuginfo-3.10.7-150400.4.10.1
      python310-debuginfo-3.10.7-150400.4.10.1
      python310-debugsource-3.10.7-150400.4.10.1
      python310-devel-3.10.7-150400.4.10.1
      python310-doc-3.10.7-150400.4.10.1
      python310-doc-devhelp-3.10.7-150400.4.10.1
      python310-idle-3.10.7-150400.4.10.1
      python310-testsuite-3.10.7-150400.4.10.1
      python310-testsuite-debuginfo-3.10.7-150400.4.10.1
      python310-tk-3.10.7-150400.4.10.1
      python310-tk-debuginfo-3.10.7-150400.4.10.1
      python310-tools-3.10.7-150400.4.10.1

   - openSUSE Leap 15.4 (x86_64):

      libpython3_10-1_0-32bit-3.10.7-150400.4.10.1
      libpython3_10-1_0-32bit-debuginfo-3.10.7-150400.4.10.1
      python310-32bit-3.10.7-150400.4.10.1
      python310-32bit-debuginfo-3.10.7-150400.4.10.1
      python310-base-32bit-3.10.7-150400.4.10.1
      python310-base-32bit-debuginfo-3.10.7-150400.4.10.1

   - SUSE Linux Enterprise Module for Python3 15-SP4 (aarch64 ppc64le s390x x86_64):

      libpython3_10-1_0-3.10.7-150400.4.10.1
      libpython3_10-1_0-debuginfo-3.10.7-150400.4.10.1
      python310-3.10.7-150400.4.10.1
      python310-base-3.10.7-150400.4.10.1
      python310-base-debuginfo-3.10.7-150400.4.10.1
      python310-core-debugsource-3.10.7-150400.4.10.1
      python310-curses-3.10.7-150400.4.10.1
      python310-curses-debuginfo-3.10.7-150400.4.10.1
      python310-dbm-3.10.7-150400.4.10.1
      python310-dbm-debuginfo-3.10.7-150400.4.10.1
      python310-debuginfo-3.10.7-150400.4.10.1
      python310-debugsource-3.10.7-150400.4.10.1
      python310-devel-3.10.7-150400.4.10.1
      python310-idle-3.10.7-150400.4.10.1
      python310-tk-3.10.7-150400.4.10.1
      python310-tk-debuginfo-3.10.7-150400.4.10.1
      python310-tools-3.10.7-150400.4.10.1


References:

   https://www.suse.com/security/cve/CVE-2020-10735.html
   https://www.suse.com/security/cve/CVE-2021-28861.html
   https://bugzilla.suse.com/1202624
   https://bugzilla.suse.com/1203125

SUSE: 2022:3473-1 important: python310

September 30, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for python310 fixes the following issues: Updated to version 3.10.7: - CVE-2020-10735: Fixed DoS due to missing limit of amount of digits when converting text to int (bsc#1203125). - CVE-2021-28861: Fixed an open redirect in the http server when an URI path starts with // (bsc#1202624). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3473=1 - SUSE Linux Enterprise Module for Python3 15-SP4: zypper in -t patch SUSE-SLE-Module-Python3-15-SP4-2022-3473=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libpython3_10-1_0-3.10.7-150400.4.10.1 libpython3_10-1_0-debuginfo-3.10.7-150400.4.10.1 python310-3.10.7-150400.4.10.1 python310-base-3.10.7-150400.4.10.1 python310-base-debuginfo-3.10.7-150400.4.10.1 python310-core-debugsource-3.10.7-150400.4.10.1 python310-curses-3.10.7-150400.4.10.1 python310-curses-debuginfo-3.10.7-150400.4.10.1 python310-dbm-3.10.7-150400.4.10.1 python310-dbm-debuginfo-3.10.7-150400.4.10.1 python310-debuginfo-3.10.7-150400.4.10.1 python310-debugsource-3.10.7-150400.4.10.1 python310-devel-3.10.7-150400.4.10.1 python310-doc-3.10.7-150400.4.10.1 python310-doc-devhelp-3.10.7-150400.4.10.1 python310-idle-3.10.7-150400.4.10.1 python310-testsuite-3.10.7-150400.4.10.1 python310-testsuite-debuginfo-3.10.7-150400.4.10.1 python310-tk-3.10.7-150400.4.10.1 python310-tk-debuginfo-3.10.7-150400.4.10.1 python310-tools-3.10.7-150400.4.10.1 - openSUSE Leap 15.4 (x86_64): libpython3_10-1_0-32bit-3.10.7-150400.4.10.1 libpython3_10-1_0-32bit-debuginfo-3.10.7-150400.4.10.1 python310-32bit-3.10.7-150400.4.10.1 python310-32bit-debuginfo-3.10.7-150400.4.10.1 python310-base-32bit-3.10.7-150400.4.10.1 python310-base-32bit-debuginfo-3.10.7-150400.4.10.1 - SUSE Linux Enterprise Module for Python3 15-SP4 (aarch64 ppc64le s390x x86_64): libpython3_10-1_0-3.10.7-150400.4.10.1 libpython3_10-1_0-debuginfo-3.10.7-150400.4.10.1 python310-3.10.7-150400.4.10.1 python310-base-3.10.7-150400.4.10.1 python310-base-debuginfo-3.10.7-150400.4.10.1 python310-core-debugsource-3.10.7-150400.4.10.1 python310-curses-3.10.7-150400.4.10.1 python310-curses-debuginfo-3.10.7-150400.4.10.1 python310-dbm-3.10.7-150400.4.10.1 python310-dbm-debuginfo-3.10.7-150400.4.10.1 python310-debuginfo-3.10.7-150400.4.10.1 python310-debugsource-3.10.7-150400.4.10.1 python310-devel-3.10.7-150400.4.10.1 python310-idle-3.10.7-150400.4.10.1 python310-tk-3.10.7-150400.4.10.1 python310-tk-debuginfo-3.10.7-150400.4.10.1 python310-tools-3.10.7-150400.4.10.1

References

#1202624 #1203125

Cross- CVE-2020-10735 CVE-2021-28861

CVSS scores:

CVE-2020-10735 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2020-10735 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2021-28861 (NVD) : 7.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N

CVE-2021-28861 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L

Affected Products:

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Python3 15-SP4

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2020-10735.html

https://www.suse.com/security/cve/CVE-2021-28861.html

https://bugzilla.suse.com/1202624

https://bugzilla.suse.com/1203125

Severity
Announcement ID: SUSE-SU-2022:3473-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.